Fedora 40 : uriparser (2024-a7b8b6bfe2)

medium Nessus プラグイン ID 197533

Language:

概要

リモートの Fedora ホストに 1 つ以上のセキュリティ更新プログラムがありません。

説明

リモートの Fedora 40 ホストには、FEDORA-2024-a7b8b6bfe2 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- 0.9.7 より前の uriparser で問題が検出されました。UriQuery.c の ComposeQueryEngine には、長いキーまたは値を介した整数オーバーフローがあり、その結果バッファオーバーフローが発生します。(CVE-2024-34402)

- 0.9.7 より前の uriparser で問題が検出されました。UriQuery.c の ComposeQueryMallocExMm に、長い文字列による整数オーバーフローが起こります。(CVE-2024-34403)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける uriparser パッケージを更新してください。

参考資料

https://bodhi.fedoraproject.org/updates/FEDORA-2024-a7b8b6bfe2

プラグインの詳細

深刻度: Medium

ID: 197533

ファイル名: fedora_2024-a7b8b6bfe2.nasl

バージョン: 1.0

タイプ: local

エージェント: unix

公開日: 2024/5/21

更新日: 2024/5/21

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

基本値: 4.9

現状値: 3.6

ベクトル: CVSS2#AV:L/AC:L/Au:N/C:N/I:N/A:C

CVSS スコアのソース: CVE-2024-34403

CVSS v3

リスクファクター: Medium

基本値: 5.5

現状値: 4.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:fedoraproject:fedora:40, p-cpe:/a:fedoraproject:fedora:uriparser

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2024/5/5

脆弱性公開日: 2024/5/3

参照情報

CVE: CVE-2024-34402, CVE-2024-34403